| CMSIS-DSP Verison 1.4.1 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_fft_bin_example_f32.c File Reference

## Macros
#define | TEST_LENGTH_SAMPLES

## Functions
int32_t | main (void)

## Variables
float32_t | testInput_f32_10khz [TEST_LENGTH_SAMPLES]
static float32_t | testOutput [TEST_LENGTH_SAMPLES/2]
uint32_t | fftSize
uint32_t | ifftFlag
uint32_t | doBitReverse
uint32_t | refIndex
uint32_t | testIndex

## Macro Definition Documentation

#define TEST_LENGTH_SAMPLES

## Function Documentation

int32_t main | ( | void |  | ) |

References arm_cfft_f32(), arm_cfft_sR_f32_len1024, arm_cmplx_mag_f32(), ARM_MATH_SUCCESS, ARM_MATH_TEST_FAILURE, arm_max_f32(), doBitReverse, fftSize, ifftFlag, refIndex, status, testIndex, testInput_f32_10khz, and testOutput.

## Variable Documentation

uint32_t doBitReverse

Examples:
  arm_fft_bin_example_f32.c.

Referenced by main().

uint32_t fftSize

Examples:
  arm_fft_bin_example_f32.c.

Referenced by main().

uint32_t ifftFlag

Examples:
  arm_fft_bin_example_f32.c.

Referenced by arm_cfft_radix2_init_f32(), arm_cfft_radix2_init_q15(), arm_cfft_radix2_init_q31(), arm_cfft_radix4_init_f32(), arm_cfft_radix4_init_q15(), arm_cfft_radix4_init_q31(), and main().

uint32_t refIndex

Examples:
  arm_fft_bin_example_f32.c.

Referenced by main().

uint32_t testIndex

Examples:
  arm_fft_bin_example_f32.c.

Referenced by main().

float32_t testInput_f32_10khz[TEST_LENGTH_SAMPLES]

Referenced by main().

float32_t testOutput[TEST_LENGTH_SAMPLES/2]
| static